Author Topic: v8 Daily Build on M1  (Read 915 times)

2021-11-15, 18:07:29

BigAl3D

  • Active Users
  • **
  • Posts: 553
    • View Profile
So the latest build of v8 installs an M1-native Corona. If I'm running a r20 Team Render client via Rosetta2, is the render engine still running in M1 native mode and theoretically faster?

2021-11-16, 10:30:49
Reply #1

rojharris

  • Active Users
  • **
  • Posts: 86
    • View Profile
Nope. You have to have Cinema running Native to load the native version of Corona. SO R20 won't work. I just had to update to R25 purely for this :-). R25 is very nice though, and super fast.

2021-11-16, 11:43:50
Reply #2

mmarcotic

  • Former Corona Team Member
  • Active Users
  • **
  • Posts: 544
  • Jan - C4D QA
    • View Profile
As mentioned,

C4D processes that support M1 natively start from S24 and up, and that includes plugins.
That means that C4D R20 under Rosetta will mean that Corona will also run under Rosetta and therefore will not be sped up in any way.

Thanks,
Jan
Learn how to report bugs for Corona in C4D here.

2021-11-16, 16:13:22
Reply #3

BigAl3D

  • Active Users
  • **
  • Posts: 553
    • View Profile
Okay then. Thanks for clearing that up. I'm afraid to even look to see what C4D will cost if I want to upgrade now.

2021-11-17, 21:17:05
Reply #4

Philw

  • Active Users
  • **
  • Posts: 126
    • View Profile
C4D R23 is M1 native too - is there a technical reason that the Corona plugin needs S24+ ? Cheers!

2021-11-18, 08:18:34
Reply #5

davetwo

  • Active Users
  • **
  • Posts: 167
    • View Profile
Okay then. Thanks for clearing that up. I'm afraid to even look to see what C4D will cost if I want to upgrade now.

Yep - I'm in the same boat. I'd like to get an M1, but have absolutely no desire to move from my perpetual R21 to subscription r25 with the expense that that entails.

2021-11-18, 09:46:34
Reply #6

mmarcotic

  • Former Corona Team Member
  • Active Users
  • **
  • Posts: 544
  • Jan - C4D QA
    • View Profile
C4D R23 is M1 native too - is there a technical reason that the Corona plugin needs S24+ ? Cheers!

C4D R23 supports M1 from SP1 and up. There is a very limited way to handle this in the current installer, as we don't want to install that for people who are not using SP1, and which could cause instabilities. We may look into this in the future if there is a genuine desire from you, the users, for this to be implemented.

Thanks,
Jan
Learn how to report bugs for Corona in C4D here.

2021-11-19, 15:53:05
Reply #7

Philw

  • Active Users
  • **
  • Posts: 126
    • View Profile
Only because my trusty daily driver is still R23. Can the plugin be manually copied to R23 at my own risk? Just planning ahead - M1 Max 16" not due until late December :-)